[Security Announce] [ MDKSA-2007:209 ] - Updated netpbm packages fix vulnerability
Posted on: 11/06/2007 10:25 AM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2007:209
http://www.mandriva.com/security/
_______________________________________________________________________

Package : netpbm
Date : November 5, 2007
Affected: 2007.0, 2007.1, 2008.0, Corporate 4.0
_______________________________________________________________________

Problem Description:

A function in the JasPer JPEG-2000 library before 1.900 could allow
a remote user-assisted attack to cause a crash and possibly corrupt
the heap via malformed image files.

netpbm contains an embedded copy of libjasper and as such is vulnerable
to this issue.

Updated packages have been patched to prevent this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-2721
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2007.0:
21887e239c40eeb005a3e4e461373ac1 2007.0/i586/libnetpbm10-10.34-2.1mdv2007.0.i586.rpm
1f767210d43a7bd19c362834ac5fd6b2 2007.0/i586/libnetpbm10-devel-10.34-2.1mdv2007.0.i586.rpm
65c5b22aeafd72ed0086ad07aff890e2 2007.0/i586/libnetpbm10-static-devel-10.34-2.1mdv2007.0.i586.rpm
ecd48c6ecf0f9e89da3027e16193471d 2007.0/i586/netpbm-10.34-2.1mdv2007.0.i586.rpm
466e8fff6fedb3faa648ddd7d3979479 2007.0/SRPMS/netpbm-10.34-2.1mdv2007.0.src.rpm

Mandriva Linux 2007.0/X86_64:
f88df67b1231807cfc92da43d726cf1d 2007.0/x86_64/lib64netpbm10-10.34-2.1mdv2007.0.x86_64.rpm
6aac7b4d66e58ddc46f99e143599994d 2007.0/x86_64/lib64netpbm10-devel-10.34-2.1mdv2007.0.x86_64.rpm
9a432d9f23f5fbe9176bacfcdbcff498 2007.0/x86_64/lib64netpbm10-static-devel-10.34-2.1mdv2007.0.x86_64.rpm
d1ae683dcf913acf169ae7085b6d95b1 2007.0/x86_64/netpbm-10.34-2.1mdv2007.0.x86_64.rpm
466e8fff6fedb3faa648ddd7d3979479 2007.0/SRPMS/netpbm-10.34-2.1mdv2007.0.src.rpm

Mandriva Linux 2007.1:
1953ec670d8a0e440bc95191d5558b2c 2007.1/i586/libnetpbm10-10.34-4.1mdv2007.1.i586.rpm
43714e3f4b74f76837525ba0d0fdab79 2007.1/i586/libnetpbm10-devel-10.34-4.1mdv2007.1.i586.rpm
4c5b65bd3b26ccd89ab3ae76ec170ed8 2007.1/i586/libnetpbm10-static-devel-10.34-4.1mdv2007.1.i586.rpm
43df801c9cf8ffc3fab1110e86e5e860 2007.1/i586/netpbm-10.34-4.1mdv2007.1.i586.rpm
4f99de1583ced224abec7c3655c5c45c 2007.1/SRPMS/netpbm-10.34-4.1mdv2007.1.src.rpm

Mandriva Linux 2007.1/X86_64:
a47e67ca11a0ff57b098606b9ab3736d 2007.1/x86_64/lib64netpbm10-10.34-4.1mdv2007.1.x86_64.rpm
a3fb4046e81e9d445ca12e54c93dc623 2007.1/x86_64/lib64netpbm10-devel-10.34-4.1mdv2007.1.x86_64.rpm
957b5ff4c085869efccc48e0fb9ece4e 2007.1/x86_64/lib64netpbm10-static-devel-10.34-4.1mdv2007.1.x86_64.rpm
b49ebc2834eabe434f978980c4aac27d 2007.1/x86_64/netpbm-10.34-4.1mdv2007.1.x86_64.rpm
4f99de1583ced224abec7c3655c5c45c 2007.1/SRPMS/netpbm-10.34-4.1mdv2007.1.src.rpm

Mandriva Linux 2008.0:
2d661470a39b29a3cf3145429f376ffa 2008.0/i586/libnetpbm-devel-10.34-8.1mdv2008.0.i586.rpm
0b75d5cd47802f8e151f139939412915 2008.0/i586/libnetpbm-static-devel-10.34-8.1mdv2008.0.i586.rpm
99c9d2d0ae583f66650e82348c204d17 2008.0/i586/libnetpbm10-10.34-8.1mdv2008.0.i586.rpm
b53bd70e674044f490c0992e67d9e6a2 2008.0/i586/netpbm-10.34-8.1mdv2008.0.i586.rpm
a199571023b5ff682fe175df9891bb62 2008.0/SRPMS/netpbm-10.34-8.1mdv2008.0.src.rpm

Mandriva Linux 2008.0/X86_64:
b02c0316babea8891ba5e4eaa652ea86 2008.0/x86_64/lib64netpbm-devel-10.34-8.1mdv2008.0.x86_64.rpm
d0ab54cdb9987e203da168e83607bd7c 2008.0/x86_64/lib64netpbm-static-devel-10.34-8.1mdv2008.0.x86_64.rpm
d077471c00e0138b7d89f613d3a0a9bd 2008.0/x86_64/lib64netpbm10-10.34-8.1mdv2008.0.x86_64.rpm
8d5d64a1b5f25520924cac520370a09f 2008.0/x86_64/netpbm-10.34-8.1mdv2008.0.x86_64.rpm
a199571023b5ff682fe175df9891bb62 2008.0/SRPMS/netpbm-10.34-8.1mdv2008.0.src.rpm

Corporate 4.0:
b1a4f3587b4a6721ce8cade1bfdd0f61 corporate/4.0/i586/libnetpbm10-10.29-1.4.20060mlcs4.i586.rpm
7cf3a27f15a679bcb147c3167e412411 corporate/4.0/i586/libnetpbm10-devel-10.29-1.4.20060mlcs4.i586.rpm
6c49683e1be0d013577fc4f0185976c9 corporate/4.0/i586/libnetpbm10-static-devel-10.29-1.4.20060mlcs4.i586.rpm
10a82429f9d6c8fff3b77ecaf98c49d7 corporate/4.0/i586/netpbm-10.29-1.4.20060mlcs4.i586.rpm
77301f132a6ec813c5c843da14e2619f corporate/4.0/SRPMS/netpbm-10.29-1.4.20060mlcs4.src.rpm

Corporate 4.0/X86_64:
9934c79e19288deb5606b55b41286488 corporate/4.0/x86_64/lib64netpbm10-10.29-1.4.20060mlcs4.x86_64.rpm
af8a4672eba83f45cd280068ca61f43c corporate/4.0/x86_64/lib64netpbm10-devel-10.29-1.4.20060mlcs4.x86_64.rpm
f7195edb42c216ffbe92a4891a3163e9 corporate/4.0/x86_64/lib64netpbm10-static-devel-10.29-1.4.20060mlcs4.x86_64.rpm
26ae01a21401477c2ea0179718e14fe2 corporate/4.0/x86_64/netpbm-10.29-1.4.20060mlcs4.x86_64.rpm
77301f132a6ec813c5c843da14e2619f corporate/4.0/SRPMS/netpbm-10.29-1.4.20060mlcs4.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFHL9N1mqjQ0CJFipgRAqFDAJ0aCd/FIU9m2XOSeAbd21y06UzeOACeLB2Y
TqQNZhyaNDK+mn7Oaj9+tt4=
=ysnO
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2007209__updated_netpbm_packages_fix_vulnerability.html)